Name: au88xx
Version: 1.1.2
Release: 1
Copyright: GPL
Summary: Aureal Vortex Sound
Group: System/Multimedia
Packager: linuxkid <linux@peanutlinux.org>
Source: %{name}-%{version}.tar.bz2
BuildRequires: linux >= 2.4.20
BuildRoot: %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%define		_sysconfdir	/etc

%description
Supported Sound Cards
---------------------
Aureal SQ2500 (8830-based)
Aureal SQ1500 (8810-based)
Diamond MX300 (8830-based)
Turtle Beach Montego (8820-based)
Any other Aureal 88(1|2|3)0 based card should work

Features
--------
1. OSS compatible.
2. Full duplex PCM playback and record, multiple channels (/dev/dsp).
3. Mixer support (/dev/mixer).
4. MPU-401 support (/dev/midi).
5. Joystck support at port 0x201.
6. Supports games such as Quake2.
7. Supports Vortex 8830, 8810, and 8820 based cards.
8. Supports /dev/audio and /dev/sndstat.
Midi synthesis is supported through a software midi synth, such as Timidity.

%prep
%setup

%build
rm -rf $RPM_BUILD_ROOT
make install10 install20 install

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/modules/2.4.20/kernel/drivers/sound
cp au88* $RPM_BUILD_ROOT/lib/modules/2.4.20/kernel/drivers/sound
exec msg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/*
